E-MailRelay

Public Member Functions | Static Public Member Functions | List of all members
GSmtp::ServerText Class Reference

A default implementation of the GSmtp::ServerProtocol::Text interface. More...

`#include <gsmtpservertext.h>`

Inheritance diagram for GSmtp::ServerText:
[legend]
Collaboration diagram for GSmtp::ServerText:
[legend]

## Public Member Functions
| ServerText (const std::string &code_ident, bool anonymous, bool with_received_line, const std::string &greeting_and_receivedline_domain, const GNet::Address &peer_address)
| Constructor. More...
| ServerText (const ServerText &)=default
| ServerText (ServerText &&)=default
ServerText & | operator= (const ServerText &)=default
ServerText & | operator= (ServerText &&)=default
Public Member Functions inherited from GSmtp::ServerProtocol::Text
virtual std::string | greeting () const =0
| Returns a system identifier for the initial greeting.
virtual std::string | hello (const std::string &smtp_peer_name) const =0
| Returns a hello response.
virtual std::string | received (const std::string &smtp_peer_name, bool auth, bool secure, const std::string &protocol, const std::string &cipher) const =0
| Returns a complete 'Received' line.
virtual | ~Text ()=default
| Destructor.

## Static Public Member Functions
static std::string | receivedLine (const std::string &smtp_peer_name, const std::string &peer_address, const std::string &receivedline_domain, bool authenticated, bool secure, const std::string &, const std::string &cipher_in)

## Detailed Description

A default implementation of the GSmtp::ServerProtocol::Text interface.

Definition at line 37 of file gsmtpservertext.h.

## Constructor & Destructor Documentation

## ◆ ServerText()

GSmtp::ServerText::ServerText | ( | const std::string & | code_ident,
|  | bool | anonymous,
|  | bool | with_received_line,
|  | const std::string & | greeting_and_receivedline_domain,
|  | const GNet::Address & | peer_address
| ) |  |

Constructor.

Definition at line 31 of file gsmtpservertext.cpp.

## Member Function Documentation

## ◆ receivedLine()

std::string GSmtp::ServerText::receivedLine | ( | const std::string & | smtp_peer_name,
|  | const std::string & | peer_address,
|  | const std::string & | receivedline_domain,
|  | bool | authenticated,
|  | bool | secure,
|  | const std::string & | ,
|  | const std::string & | cipher_in
| ) |  |
| static

Definition at line 69 of file gsmtpservertext.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpservertext.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpservertext.cpp